#ifndef SDK_SYNTIME_H
#define SDK_SYNTIME_H

#include <typedefs.h>


#ifdef __cplusplus
extern "C" {
#endif


typedef struct
{
    UINT8     day;
    UINT8     month;
    UINT16    year;
} CLK_DATE_T;

typedef struct
{
    UINT8     h;
    UINT8     m;
    UINT8     s;
} CLK_TIME_T;


BOOL DL_ClkGetDate( CLK_DATE_T * );
BOOL DL_ClkGetTime( CLK_TIME_T * );

UINT64 suPalReadTime( void );	// in ticks
UINT64 suPalTicksToMsec( UINT64 ticks );


#ifdef __cplusplus
} /* extern "C" */
#endif


#endif // SDK_SYNTIME_H